From Fedora Project Wiki

Upgrade Test Day
Test-days-banner.svg

Date 2018-04-19
Time all day

Website QA/Test Days
IRC #fedora-test-day (webirc)

Mailing list
MailSubscribeArchives


Note.png
Can't make the date?
If you come to this page before or after the test day is completed, your testing is still valuable, and you can use the information on this page to test, file any bugs you find at Bugzilla, and add your results to the results section. If this page is more than a month old when you arrive here, please check the current schedule and see if a similar but more recent Test Day is planned or has already happened.

What to test?[edit]

Today's installment of Fedora Test Day will focus on Upgrade Test Day

Who's available[edit]

The following cast of characters will be available testing, workarounds, bug fixes, and general discussion. In case of problem related to test day organization/wiki/whatever, please reach out to sumantrom.

Prerequisite for Test Day[edit]

How to test?[edit]

Run the tests[edit]

Visit the result page and click on the column title links to see the tests that need to be run: most column titles are links to a specific test case. Follow the instructions there, then enter your results by clicking the Enter result button for the test.

Reporting bugs[edit]

If you have problems with any of the tests, report a bug to Bugzilla usually for the component dnf. If you are unsure about exactly how to file the report or what other information to include, just ask on IRC and we will help you.

Anaconda will display an error dialog allowing you to report the problem to Bugzilla. This will also automatically attach logs, error message and traceback to the report -- this way of reporting bugs is preferred.

Test Results[edit]

Workstation[edit]

User Profile dnf current dnf current encrypted dnf previous dnf previous encrypted gnome-software current workstation gnome-software previous workstation References
DarkL0rd Workstation x86_64
Pass pass
Luna Workstation x86_64
Pass pass
Yann
Pass pass
Yann Workstation x86_64 GNOME
Pass pass
abhimanyu Workstation x86_64
Pass pass
abhinet Workstation x86_64
Pass pass
alciregi MacBookPro5,5 (no dual boot)
Pass pass
Pass pass
[1]
  1. 1. some complains about the fact that rpkg-common cannot be updated so it will be removed btw the upgrade goes well This entry related to the RPi profile is a typo
alciregi Workstation x86_64 BIOS KVM
Pass pass
alciregi armv7hl Raspberry Pi 3
Pass pass
[1]
  1. some complains about the fact that rpkg-common cannot be updated so it will be removed btw the upgrade goes well
ameesh Workstation x86_64 Asus ROG
Pass pass
amitra67 Workstation x86_64
Pass pass
blinker09 Workstation x86_64 gnome
Pass pass
bt0dotninja Lenovo thinkpad T440s
Pass pass
[1]
Pass pass
  1. previously i disable all no active copr repositories
cgupta Workstation x86_64 gnome 3.28 libvirt
Pass pass
chrome_guy Workstation x86_64
Pass pass
clijuk Workstation x86_64 gnome acer i3 baremetal
Pass pass
cynthia Workstation x86_64 ARM Rpi3b
Pass pass
danniel Workstation x86_64 KVM
Pass pass
Pass pass
dukebarman Fedora-Workstation-Live-x86_64-26-1.5 VMware
Pass pass
Pass pass
dukebarman VMware KDE
Pass pass
flodraft real workstation_x86_64
Pass pass
Pass pass
frantisekz Bare Metal
Pass pass
frantisekz VM
Pass pass
gatakenko89 Workstation x86_64 gnome
Pass pass
hakii Workstation x86_64 KVM
Pass pass
hill87 Workstation x86_64
Pass pass
hschiller
Pass pass
hui Workstation x86_64 GNOME
Pass pass
jag63 Workstation x86_64
Pass pass
janhutar Workstation x86_64 Lenovo Thinkpad
Pass pass
jassens VMware Workstation
Pass pass
juhu Workstation x86_64
Pass pass
julia80 Workstation x86_64
Pass pass
kwurzel Workstation x86_64 GNOME, Lenovo Thinkpad S1 Yoga (20CD)
Pass pass
[1]
  1. RHBZ #1500655 dnf complains about nss-pem-1.0.3-3.fc26.i686 having inferior architecture (bug #1500655). adding " --allowerasing" allowed continuing with the upgrade.
lruzicka KVM/Libvirt
Pass pass
Pass pass
Pass pass
Pass pass
luaaice Workstation x86_64 ARM Rpi3b
Pass pass
mkholer Workstation x86_64 gnome
Pass pass
mohini Workstation x86_64 gnome
Pass pass
n0rmalize Workstation x86_64 ARM Rpi3b
Pass pass
naomi_ Workstation x86_64
Pass pass
nielsenb Compaq 8510w Intel T9300 AMD RV630
Pass pass
Pass pass
Pass pass
opyimus Workstation x86_64
Pass pass
peepp12 Workstation x86_64 Toshiba
Pass pass
peppermint Workstation x86_64 KVM
Pass pass
puk80 Workstation ARM
Pass pass
quadj4 Workstation x86_64
Pass pass
qxvb Workstation x86_64 VMware
Pass pass
rehan Workstation x86_64 gnome
Pass pass
reyyi8 Workstation x86_64 KVM
Pass pass
roca x86_64
Fail fail
[1]
Fail fail
[2]
Pass pass
[3]
  1. Failed to synchronize cache for repo 'rommon-telegram', disabling. Failed to synchronize cache for repo 'taw-Riot', disabling. Failed to synchronize cache for repo 'ring', disabling. Failed to synchronize cache for repo 'rpmfusion-free-updates', disabling. Failed to synchronize cache for repo 'rpmfusion-nonfree-updates', disabling. Last metadata expiration check: 0:00:00 ago on Thu 19 Apr 2018 08:23:04 AM EDT. Error: Problem 1: nss-pem-1.0.3-6.fc27.i686 has inferior architecture - nss-pem-1.0.3-6.fc27.x86_64 does not belong to a distupgrade repository - problem with installed package nss-pem-1.0.3-6.fc27.i686 Problem 2: package ring-20180414.1.386937e-1.fc27.x86_64 requires libedataserver-1.2.so.22()(64bit), but none of the providers can be installed - evolution-data-server-3.26.6-1.fc27.x86_64 does not belong to a distupgrade repository - problem with installed package ring-20180414.1.386937e-1.fc27.x86_64 Problem 3: package ring-daemon-20180414.1.386937e-1.fc27.x86_64 requires libva-drm.so.1()(64bit), but none of the providers can be installed - libva-1.8.3-5.fc27.x86_64 does not belong to a distupgrade repository - problem with installed package ring-daemon-20180414.1.386937e-1.fc27.x86_64 Problem 4: package fedpkg-1.32-1.fc28.noarch requires python2-rpkg >= 1.51, but none of the providers can be installed - problem with installed package fedpkg-1.32-1.fc27.noarch - package rpkg-common-1.53-1.fc27.noarch conflicts with pyrpkg < 1.52-2 provided by python2-rpkg-1.52-1.fc28.noarch - python2-rpkg-1.53-1.fc27.noarch does not belong to a distupgrade repository - fedpkg-1.32-1.fc27.noarch does not belong to a distupgrade repository - problem with installed package rpkg-common-1.53-1.fc27.noarch (try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)
  2. RHBZ #1569561 RHBZ #1569558 Ran second attempt --skip-broken with same result
  3. Prompted for incompatibilities with ring and rpkg-common before install. Otherwise works as expected
romen Workstation x86_64 GNOME Virtmanager
Pass pass
ryanmty Workstation x86_64 gnome
Pass pass
saloni raj Workstation x86_64 hp envy
Pass pass
srijia Workstation x86_64
Pass pass
teamUp Workstation x86_64 gnome libvirt
Pass pass
tejas Workstation x86_64 Lenovo ideapad
Pass pass
themei Workstation x86_64
Pass pass
usharf
Warning warn
[1]
  1. Problems with gnome-shell crashing on entry (see previous report) persisted until I disabled all the 3rd party extensions. So removal of ./config/dconf was not necessary.
usharf iMac 2011 27" Intel® Core i5-2400 CPU @ 3.10GHz × 4 AMD® Barts
Pass pass
[1]
Warning warn
[2]
  1. Fails to start a new GNOME session. Had to remove ./config/dconf and reconfigure my desktop.
  2. Failed to synchronize cache for repo 'rpmfusion-free-updates', disabling. Failed to synchronize cache for repo 'rpmfusion-nonfree-updates', disabling.
xpe34 Workstation x86_64 GNOME
Pass pass
yciju Workstation x86_64 gnome libvirt
Pass pass
yuio Workstation x86_64 Lenovo Thikpad T470
Pass pass
yujina Workstation x86_64 Lenovo Thikpad T470
Pass pass

Server[edit]

User Profile dnf current dnf previous References
alciregi armv7hl Raspberry Pi 3
Pass pass
jassens VMware Server
Pass pass
jassens x86_64 Server
Pass pass
lruzicka KVM/Libvirt
Pass pass
Pass pass

KDE[edit]

User Profile dnf current dnf previous References
djotaku x86_64 laptop (netbook)
Pass pass
[1]
  1. Acer Apsire One D255E. Intel Aton N455. 1 GB DDR 3 RAM. No issues.
dukebarman VMware KDE
Pass pass
jassens VMware KDE
Pass pass
kondor6c libvirt/qemu-kvm
Pass pass
lruzicka KVM/Libvirt
Pass pass
Pass pass

Spins[edit]

User Profile graphical upgrade dnf upgrade current dnf upgrade prev References
dukebarman Fedora-Cinnamon-Live-x86_64-27-1.6 VMware
Fail fail
[1]
  1. Problem: problem with installed package xed-1.6.2-1.fc27.x86_64 - xed-1.6.2-1.fc27.x86_64 does not belong to a distupgrade repository - nothing provides libgspell-1.so.1()(64bit) needed by xed-1.6.4-0.1.20180309git3733860.fc28.x86_64
jassens VMware Cinnamon
Fail fail
[1]
  1. Problem: problem with installed package xed-1.6.2-1.fc26.x86_64 - xed-1.6.2-1.fc26.x86_64 does not belong to a distupgrade repository - nothing provides libgspell-1.so.1()(64bit) needed by xed-1.6.4-0.1.20180309git3733860.fc28.x86_64
jassens VMware LXDE
Pass pass
jassens VMware XFCE
Pass pass
jassens x86_64 Cinnamon
Pass pass
[1]
  1. Cinnamon is crashing after a login, but works fine after restarting it.
tenk Samsung RS30
Pass pass
[1]
Pass pass
  1. LXQT

Minimal[edit]

User Profile dnf previous dnf current References
alciregi armv7hl Raspberry Pi 3
Pass pass
jassens
Pass pass
Pass pass
Pass pass
jassens VMware Minimal
Pass pass
Pass pass
lruzicka KVM/Libvirt
Pass pass
Pass pass
Pass pass